Name:           ukui-input-gather
Version:        4.0.0.0
Release:        2
Summary:        Libinput event distribution service of UKUI.
License:        GPL-2.0-or-later
URL:            http://www.ukui.org
Source0:        ukui-input-gather-%{version}.tar.gz

BuildRequires: libinput-devel >= 1.15.5-1
BuildRequires: qt5-qtbase
BuildRequires: qt5-qtx11extras-devel
BuildRequires: systemd-devel
BuildRequires: libXi-devel
BuildRequires: qt5-qtbase-devel
BuildRequires: libevdev-devel

%description
 Libinput event distribution service of UKUI.
 This service will send some libinput events to the client,
 most graphics frameworks do not send these events to the window,
 such as LIBINPUT_EVENT_SWITCH_TOGGLE. Client can get these event
 without root privileges.

%package -n libukuiinputgatherclient1
Summary:  Provide library for connect to ukui-input-gather.
License:  LGPLv2+
Requires: ukui-input-gather
Provides: libukuiinputgatherclient

%description -n libukuiinputgatherclient1
 The libukuiinputgatherclient is a library to provides interfaces
 that allow applications to interact with ukui-input-gather service
 such as get event from ukui-input-gather.

%package -n libukuiinputgatherclient-devel
Summary:  Provide development files of libukuiinputgatherclient.
License:  LGPLv2+
Requires: libukuiinputgatherclient

%description -n libukuiinputgatherclient-devel
 The libukuiinputgatherclient is a library to provides interfaces
 that allow applications to interact with ukui-input-gather service
 such as get event from ukui-input-gather.
 Contains development files for libukuiinputgatherclient.


%prep
%setup -q

%build
%{qmake_qt5}
%{make_build}

%install
make INSTALL_ROOT=%{buildroot} install

%clean

%post
systemctl disable ukui-input-gather.service

%files
%doc debian/copyright debian/changelog
%{_datadir}/dbus-1/system.d/*
%{_datadir}/dbus-1/system-services/*
/lib/systemd/system/*
%{_bindir}/ukui-input-gather
%exclude %{_bindir}/ukui-input-gather-test

%files -n libukuiinputgatherclient1
%{_prefix}/lib/*.so.*

%files -n libukuiinputgatherclient-devel
%{_includedir}/*
%{_prefix}/lib/*.so

%changelog
* Tue Sep 03 2024 peijiankang <peijiankang@kylinos.cn> - 4.0.0.0-2
- disable ukui-input-gather 

* Tue Apr 02 2024 huayadong <huayadong@kylinos.cn> - 4.0.0.0-1
- init version to 4.0.0.0
